Skip to content
Start here

Monitors

List Monitors
load_balancers.monitors.list(MonitorListParams**kwargs) -> SyncSinglePage[Monitor]
GET/accounts/{account_id}/load_balancers/monitors
Monitor Details
load_balancers.monitors.get(strmonitor_id, MonitorGetParams**kwargs) -> Monitor
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Create Monitor
load_balancers.monitors.create(MonitorCreateParams**kwargs) -> Monitor
POST/accounts/{account_id}/load_balancers/monitors
Update Monitor
load_balancers.monitors.update(strmonitor_id, MonitorUpdateParams**kwargs) -> Monitor
PUT/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Patch Monitor
load_balancers.monitors.edit(strmonitor_id, MonitorEditParams**kwargs) -> Monitor
PATCH/accounts/{account_id}/load_balancers/monitors/{monitor_id}
Delete Monitor
load_balancers.monitors.delete(strmonitor_id, MonitorDeleteParams**kwargs) -> MonitorDeleteResponse
DELETE/accounts/{account_id}/load_balancers/monitors/{monitor_id}
ModelsExpand Collapse
class Monitor:
id: Optional[str]
allow_insecure: Optional[bool]

Do not validate the certificate when monitor use HTTPS. This parameter is currently only valid for HTTP and HTTPS monitors.

consecutive_down: Optional[int]

To be marked unhealthy the monitored origin must fail this healthcheck N consecutive times.

consecutive_up: Optional[int]

To be marked healthy the monitored origin must pass this healthcheck N consecutive times.

created_on: Optional[str]
description: Optional[str]

Object description.

expected_body: Optional[str]

A case-insensitive sub-string to look for in the response body. If this string is not found, the origin will be marked as unhealthy. This parameter is only valid for HTTP and HTTPS monitors.

expected_codes: Optional[str]

The expected HTTP response code or code range of the health check. This parameter is only valid for HTTP and HTTPS monitors.

follow_redirects: Optional[bool]

Follow redirects if returned by the origin. This parameter is only valid for HTTP and HTTPS monitors.

header: Optional[Dict[str, List[str]]]

The HTTP request headers to send in the health check. It is recommended you set a Host header by default. The User-Agent header cannot be overridden. This parameter is only valid for HTTP and HTTPS monitors.

interval: Optional[int]

The interval between each health check. Shorter intervals may improve failover time, but will increase load on the origins as we check from multiple locations.

method: Optional[str]

The method to use for the health check. This defaults to 'GET' for HTTP/HTTPS based checks and 'connection_established' for TCP based health checks.

modified_on: Optional[str]
path: Optional[str]

The endpoint path you want to conduct a health check against. This parameter is only valid for HTTP and HTTPS monitors.

port: Optional[int]

The port number to connect to for the health check. Required for TCP, UDP, and SMTP checks. HTTP and HTTPS checks should only define the port when using a non-standard port (HTTP: default 80, HTTPS: default 443).

probe_zone: Optional[str]

Assign this monitor to emulate the specified zone while probing. This parameter is only valid for HTTP and HTTPS monitors.

retries: Optional[int]

The number of retries to attempt in case of a timeout before marking the origin as unhealthy. Retries are attempted immediately.

timeout: Optional[int]

The timeout (in seconds) before marking the health check as failed.

type: Optional[Literal["http", "https", "tcp", 3 more]]

The protocol to use for the health check. Currently supported protocols are 'HTTP','HTTPS', 'TCP', 'ICMP-PING', 'UDP-ICMP', and 'SMTP'.

One of the following:
"http"
"https"
"tcp"
"udp_icmp"
"icmp_ping"
"smtp"
class MonitorDeleteResponse:
id: Optional[str]

MonitorsPreviews

Preview Monitor
load_balancers.monitors.previews.create(strmonitor_id, PreviewCreateParams**kwargs) -> PreviewCreateResponse
POST/accounts/{account_id}/load_balancers/monitors/{monitor_id}/preview
ModelsExpand Collapse
class PreviewCreateResponse:
pools: Optional[Dict[str, str]]

Monitored pool IDs mapped to their respective names.

preview_id: Optional[str]

MonitorsReferences

List Monitor References
load_balancers.monitors.references.get(strmonitor_id, ReferenceGetParams**kwargs) -> SyncSinglePage[ReferenceGetResponse]
GET/accounts/{account_id}/load_balancers/monitors/{monitor_id}/references
ModelsExpand Collapse
class ReferenceGetResponse:
reference_type: Optional[Literal["*", "referral", "referrer"]]
One of the following:
"*"
"referral"
"referrer"
resource_id: Optional[str]
resource_name: Optional[str]
resource_type: Optional[str]